> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Aggregate Request Metrics

> Get aggregate statistics for all authenticated requests. Note that requests which fail to match a valid path are not included in these statistics.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/requests/aggregate/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/requests/aggregate/:
    get:
      tags:
        - api
      description: >-
        Get aggregate statistics for all authenticated requests. Note that
        requests which fail to match a valid path are not included in these
        statistics.
      operationId: api_v1_custom_org_reports_requests_aggregate_retrieve
      parameters:
        - in: query
          name: end_date
          schema:
            type: string
            format: date-time
          description: Filter requests created on or before this datetime
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date-time
          description: Filter requests created on or after this datetime
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AggregateRequestStats'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    AggregateRequestStats:
      type: object
      properties:
        total_stats:
          $ref: '#/components/schemas/RequestMetrics'
        route_method_stats:
          type: array
          items:
            $ref: '#/components/schemas/RouteMethodStats'
          default: []
      required:
        - total_stats
    RequestMetrics:
      type: object
      properties:
        request_count:
          type: integer
        timing_ms:
          allOf:
            - $ref: '#/components/schemas/TimingStats'
          nullable: true
        status_code_distribution:
          type: object
          additionalProperties:
            type: integer
          default: {}
          description: A dictionary of status code to number of responses with this code
      required:
        - request_count
    RouteMethodStats:
      type: object
      properties:
        request_count:
          type: integer
        timing_ms:
          allOf:
            - $ref: '#/components/schemas/TimingStats'
          nullable: true
        status_code_distribution:
          type: object
          additionalProperties:
            type: integer
          default: {}
          description: A dictionary of status code to number of responses with this code
        url_route:
          type: string
        method:
          type: string
      required:
        - method
        - request_count
        - url_route
    TimingStats:
      type: object
      properties:
        mean:
          type: integer
        min:
          type: integer
        max:
          type: integer
        p95:
          type: integer
      required:
        - max
        - mean
        - min
        - p95
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````